Alya - Task #18171

Refactor slowquery and batch related code
26/03/2024 07:36 PM - Sachin Divekar

Status: Closed Start date: 26/03/2024
Priority: Normal Due date:

Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 10 May

Description

Following refactoring is required:

add more logging
get all the configs from config object
write unit tests

duplicate code like cache set and get can be extracted into a function and invoked at all the places it is being used

Associated revisions

Revision 4f944bec - 01/05/2024 01:08 PM - Sachin Divekar
refactor: Improve batch row fetching for BatchDone #18171

¢ Modify FetchBatchRowsForBatchDone to fetch only required fields
e Convert fetched rows to new BatchOutput_t type

The batch row fetching logic in BatchDone is updated to improve
efficiency and clarity. The SQL query now selects only the needed
fields for the BatchDone operation.

Revision 1017a491 - 07/05/2024 08:09 PM - Sachin Divekar
refactor: Use Batchlnput_t in BatchSubmit #18171
Change the type of batchlnput parameter in BatchSubmit and

related functions from [Jbatchsqlc.InsertintoBatchRowsParams
to a new [|Batchinput_t.

Revision af19c2a8 - 07/05/2024 09:03 PM - Sachin Divekar
refactor BatchSubmit: Bulk insert batch rows #18171

Previously, batch row inserts were performed individually in a

loop, resulting in multiple database calls. This change introduces

a new BulkInsertintoBatchRows query and updates the BatchSubmit
function to use this bulk insert approach.

Revision fdec4{68 - 13/05/2024 08:04 PM - Sachin Divekar
Fix issue with doneat field not getting updated #18171

Revision 038da9a6 - 13/05/2024 09:35 PM - Sachin Divekar

Fix issue with regat setting timestamp with servers's timezone #18171

Revision adab8a64 - 13/05/2024 11:57 PM - Sachin Divekar

refactor: add config to jobmanager, remove some unnecessary files #18171

History

#1 - 01/05/2024 01:08 PM - Sachin Divekar

- Status changed from New to In Progress

#2 - 21/03/2025 05:53 PM - Sachin Divekar
- % Done changed from 0 to 100
- Status changed from In Progress to Closed
